MWAWFont Class Reference

Class to store font. More...

`#include <MWAWFont.hxx>`

## Classes

struct | Line
| a small struct to define a line in MWAWFont More...
struct | Script
| a small struct to define the script position in MWAWFont More...

## Public Types

enum | FontBits { boldBit =1 , italicBit =2 , blinkBit =4 , embossBit =8 , engraveBit =0x10 , hiddenBit =0x20 , outlineBit =0x40 , shadowBit =0x80 , reverseVideoBit =0x100 , smallCapsBit =0x200 , uppercaseBit =0x400 , lowercaseBit =0x800 , initialcaseBit =2*lowercaseBit , boxedBit =2*initialcaseBit , boxedRoundedBit =2*boxedBit , reverseWritingBit =2*boxedRoundedBit }
| the different font bit More...

## Public Member Functions

| MWAWFont (int newId=-1, float sz=12, uint32_t f=0)
| constructor
bool | isSet () const
| returns true if the font id is initialized
void | insert (MWAWFont const &ft)
| inserts the set value in the current font
void | setFont (int newId)
| sets the font id and resets size to the previous size for this font
int | id () const
| returns the font id
void | setId (int newId)
| sets the font id
float | size () const
| returns the font size
void | setSize (float sz, bool isRelative=false)
| sets the font size
float | deltaLetterSpacing () const
| returns the condensed(negative)/extended(positive) width
librevenge::RVNGUnit | deltaLetterSpacingUnit () const
| returns the condensed(negative)/extended(positive) unit
void | setDeltaLetterSpacing (float d, librevenge::RVNGUnit unit=librevenge::RVNG_POINT)
| sets the letter spacing ( delta value in point )
float | widthStreching () const
| returns the text width streching
void | setWidthStreching (float scale=1.0)
| sets the text width streching
Script const & | script () const
| returns the script position
void | set (Script const &newscript)
| sets the script position
uint32_t | flags () const
| returns the font flags
void | setFlags (uint32_t fl)
| sets the font attributes bold, ...
bool | hasColor () const
| returns true if the font color is not black
void | getColor (MWAWColor &c) const
| returns the font color
void | setColor (MWAWColor color)
| sets the font color
void | getBackgroundColor (MWAWColor &c) const
| returns the font background color
void | setBackgroundColor (MWAWColor color)
| sets the font background color
void | resetColor ()
| resets the font color to black and the background color to white
bool | hasDecorationLines () const
| return true if the font has decorations line (overline, strikeout, underline)
void | resetDecorationLines ()
| reset the decoration
Line const & | getOverline () const
| returns the overline
void | setOverline (Line const &line)
| sets the overline
void | setOverlineStyle (Line::Style style=Line::None, bool doReset=true)
| sets the overline style ( by default, we also reset the style)
void | setOverlineType (Line::Type type=Line::Single)
| sets the overline type
void | setOverlineWordFlag (bool wordFlag=false)
| sets the overline word flag
void | setOverlineWidth (float w)
| sets the overline width
void | setOverlineColor (MWAWColor const &color)
| sets the overline color
Line const & | getStrikeOut () const
| returns the strikeoutline
void | setStrikeOut (Line const &line)
| sets the strikeoutline
void | setStrikeOutStyle (Line::Style style=Line::None, bool doReset=true)
| sets the strikeoutline style ( by default, we also reset the style)
void | setStrikeOutType (Line::Type type=Line::Single)
| sets the strikeoutline type
void | setStrikeOutWordFlag (bool wordFlag=false)
| sets the strikeoutline word flag
void | setStrikeOutWidth (float w)
| sets the strikeoutline width
void | setStrikeOutColor (MWAWColor const &color)
| sets the strikeoutline color
Line const & | getUnderline () const
| returns the underline
void | setUnderline (Line const &line)
| sets the underline
void | setUnderlineStyle (Line::Style style=Line::None, bool doReset=true)
| sets the underline style ( by default, we also reset the style)
void | setUnderlineType (Line::Type type=Line::Single)
| sets the underline type
void | setUnderlineWordFlag (bool wordFlag=false)
| sets the underline word flag
void | setUnderlineWidth (float w)
| sets the underline width
void | setUnderlineColor (MWAWColor const &color)
| sets the underline color
std::string const & | language () const
| returns the language
void | setLanguage (std::string const &lang)
| set the language ( in the for en_US, en_GB, en, ...)
void | addTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| add to the propList
void | addToListLevel (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| add to the propList to a list level
std::string | getDebugString (std::shared_ptr< MWAWFontConverter > &converter) const
| returns a string which can be used for debugging
bool | operator== (MWAWFont const &f) const
| operator==
bool | operator!= (MWAWFont const &f) const
| operator!=
int | cmp (MWAWFont const &oth) const
| a comparison function

## Public Attributes

std::string | m_extra
| extra data

## Protected Attributes

MWAWVariable< int > | m_id
| font identificator
MWAWVariable< float > | m_size
| font size
MWAWVariable< bool > | m_sizeIsRelative
| true if the size is percent
MWAWVariable< float > | m_deltaSpacing
| expand(> 0), condensed(< 0) depl
MWAWVariable< librevenge::RVNGUnit > | m_deltaSpacingUnit
| the delta spacing unit
MWAWVariable< float > | m_widthStreching
| the width streching in percent
MWAWVariable< Script > | m_scriptPosition
| the sub/super script definition
MWAWVariable< uint32_t > | m_flags
| font attributes
MWAWVariable< Line > | m_overline
| overline attributes
MWAWVariable< Line > | m_strikeoutline
| overline attributes
MWAWVariable< Line > | m_underline
| underline attributes
MWAWVariable< MWAWColor > | m_color
| font color
MWAWVariable< MWAWColor > | m_backgroundColor
| font background color
MWAWVariable< std::string > | m_language
| the language if set

## Detailed Description

Class to store font.

## Member Enumeration Documentation

## FontBits

enum MWAWFont::FontBits

the different font bit

Enumerator
boldBit |
italicBit |
blinkBit |
embossBit |
engraveBit |
hiddenBit |
outlineBit |
shadowBit |
reverseVideoBit |
smallCapsBit |
uppercaseBit |
lowercaseBit |
initialcaseBit |
boxedBit |
boxedRoundedBit |
reverseWritingBit |

## Constructor & Destructor Documentation

## MWAWFont()

MWAWFont::MWAWFont | ( | int | newId = -1,
|  | float | sz = 12,
|  | uint32_t | f = 0 )

inline explicit

constructor

Parameters

  newId | system id font
  sz | the font size
  f | the font attributes bold, ...

Referenced by cmp(), insert(), operator!=(), and operator==().

## Member Function Documentation

## addTo()

void MWAWFont::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::shared_ptr< MWAWFontConverter > | fontConverter ) const

add to the propList

## addToListLevel()

void MWAWFont::addToListLevel | ( | librevenge::RVNGPropertyList & | propList,
|  | std::shared_ptr< MWAWFontConverter > | fontConverter ) const

add to the propList to a list level

Referenced by MWAWListLevel::addTo().

## cmp()

int MWAWFont::cmp | ( | MWAWFont const & | oth | ) | const

inline

a comparison function

Referenced by operator!=(), MWAWFontManagerInternal::FontCompare::operator()(), and operator==().

## deltaLetterSpacing()

float MWAWFont::deltaLetterSpacing | ( |  | ) | const

inline

returns the condensed(negative)/extended(positive) width

## deltaLetterSpacingUnit()

librevenge::RVNGUnit MWAWFont::deltaLetterSpacingUnit | ( |  | ) | const

inline

returns the condensed(negative)/extended(positive) unit

## flags()

uint32_t MWAWFont::flags | ( |  | ) | const

inline

returns the font flags

Referenced by cmp(), insert(), LightWayTxtTextInternal::Font::merge(), JazzSSParser::readCell(), MsWrdTextStyles::readFont(), StyleParser::readFormats(), MoreText::readOutline(), FullWrtText::send(), MoreText::sendText(), StudentWritingCParser::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

## getBackgroundColor()

void MWAWFont::getBackgroundColor | ( | MWAWColor & | c | ) | const

inline

returns the font background color

Referenced by LightWayTxtTextInternal::Font::merge().

## getColor()

void MWAWFont::getColor | ( | MWAWColor & | c | ) | const

inline

returns the font color

Referenced by MarinerWrtGraph::sendRule(), and MoreText::sendText().

## getDebugString()

std::string MWAWFont::getDebugString | ( | std::shared_ptr< MWAWFontConverter > & | converter | ) | const

returns a string which can be used for debugging

Referenced by SpringBoardParser::parseData(), SpringBoardParser::parsePageNumbering(), MsWrdText::prepareData(), BeagleWksSSParser::readCellSheet(), MouseWrtParser::readCharPLCs(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), ScriptWriterParser::readCharStyle(), MacWrtProStructures::readCharStyles(), MoreText::readCustomListLevel(), JazzSSParser::readDocument(), ScriptWriterParser::readDocument(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MsWks4Text::readFont(), WordMakerParser::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), HanMacWrdJText::readFonts(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), PowerPoint1Parser::readFonts(), RagTimeText::readFonts(), MacWrtProStructures::readFontsDef(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ScriptWriterParser::readHFStyle(), MacWrtParser::readInformations(), MacDraftParser::readLabel(), MacDraftParser::readObject(), MacDrawParser::readObject(), MsWrd1Parser::readPLC(), MsWrdTextStyles::readPLC(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), RagTimeSpreadsheet::readResource(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellFormat(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), MacWrtProStructures::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), WriteNowText::readStyles(), MsWrdTextStyles::readStylesFont(), StyleParser::readStyleTable(), MsWksTable::readTable(), MacDraft5Parser::readText(), MacWrtParser::readText(), MsWksGraph::readText(), PowerPoint3Parser::readTextZone(), PowerPoint7Text::readTextZone(), ScoopParser::readTextZone(), WingzGraph::readTextZone(), ScoopParser::readTextZoneParagraph(), ActaText::readTopic(), MsWksDBParser::readUnknownV2(), GreatWksText::readZone(), WriteNowText::send(), Canvas5Graph::sendDimension9(), JazzWriterParser::sendPLC(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), ActaText::sendText(), CanvasGraph::sendText(), MsWks3Text::sendText(), PowerPoint1Parser::sendText(), PowerPoint3Parser::sendText(), ReadySetGoGraph::sendText(), and SpringBoardParser::sendTextShape().

## getOverline()

Line const & MWAWFont::getOverline | ( |  | ) | const

inline

returns the overline

Referenced by LightWayTxtTextInternal::Font::merge().

## getStrikeOut()

Line const & MWAWFont::getStrikeOut | ( |  | ) | const

inline

returns the strikeoutline

Referenced by LightWayTxtTextInternal::Font::merge(), MsWrdTextStyles::readFont(), and MsWrdStruct::Font::updateFontToFinalState().

## getUnderline()

Line const & MWAWFont::getUnderline | ( |  | ) | const

inline

returns the underline

Referenced by LightWayTxtTextInternal::Font::merge(), MsWrdTextStyles::readFont(), MarinerWrtText::readFonts(), MoreText::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

## hasColor()

bool MWAWFont::hasColor | ( |  | ) | const

inline

returns true if the font color is not black

Referenced by getDebugString().

## hasDecorationLines()

bool MWAWFont::hasDecorationLines | ( |  | ) | const

inline

return true if the font has decorations line (overline, strikeout, underline)

## id()

int MWAWFont::id | ( |  | ) | const

inline

returns the font id

Referenced by cmp(), getDebugString(), BeagleWksText::getFont(), MsWrdTextStyles::getFont(), FullWrtTextInternal::LineHeader::operator<<, PowerPoint3Parser::readParagraph(), MaxWrtParser::readStyles(), MsWks4Text::readText(), PowerPoint7Text::readTextZone(), FullWrtText::send(), Canvas5Graph::sendCurveText(), MoreText::sendText(), MWAWGraphicListener::setFont(), MWAWPresentationListener::setFont(), MWAWSpreadsheetListener::setFont(), MWAWTextListener::setFont(), and MsWrdTextStyles::setProperty().

## insert()

void MWAWFont::insert | ( | MWAWFont const & | ft | ) |

inline

inserts the set value in the current font

## isSet()

bool MWAWFont::isSet | ( |  | ) | const

inline

returns true if the font id is initialized

Referenced by MWAWFont::Script::str().

## language()

std::string const & MWAWFont::language | ( |  | ) | const

inline

returns the language

## operator!=()

bool MWAWFont::operator!= | ( | MWAWFont const & | f | ) | const

inline

operator!=

## operator==()

bool MWAWFont::operator== | ( | MWAWFont const & | f | ) | const

inline

operator==

## resetColor()

void MWAWFont::resetColor | ( |  | ) |

inline

resets the font color to black and the background color to white

Referenced by MWAWFont(), and setFont().

## resetDecorationLines()

void MWAWFont::resetDecorationLines | ( |  | ) |

inline

reset the decoration

## script()

Script const & MWAWFont::script | ( |  | ) | const

inline

returns the script position

Referenced by cmp(), and LightWayTxtTextInternal::Font::merge().

## set()

void MWAWFont::set | ( | Script const & | newscript | ) |

inline

sets the script position

Referenced by BeagleWksTextInternal::Font::getFont(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), StyleParser::readFormats(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readResource(), RagTimeSpreadsheet::readSpreadsheetCellV2(), ReadySetGoStyleManager::readStyle(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), PowerPoint7Text::readTextZone(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), MacDraft5Parser::sendText(), MoreText::sendText(), StudentWritingCParser::sendText(), and RagTime5StyleManager::updateTextStyles().

## setBackgroundColor()

void MWAWFont::setBackgroundColor | ( | MWAWColor | color | ) |

inline

sets the font background color

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), LightWayTxtText::readFont2(), MarinerWrtText::readFonts(), and StyleParser::readFormats().

## setColor()

void MWAWFont::setColor | ( | MWAWColor | color | ) |

inline

sets the font color

Referenced by ApplePictParser::drawText(), BeagleWksTextInternal::Font::getFont(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), Canvas5StyleManager::readCharStyle(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), RagTimeText::readFonts(), MacDrawProStyleManager::readFontStyles(), StyleParser::readFormats(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), MoreText::readOutline(), PowerPoint3Parser::readParagraph(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), MsWksTable::readTable(), MacDraft5Parser::readText(), PowerPoint7Text::readTextZone(), WingzGraph::readTextZone(), FullWrtText::send(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), CorelPainterParser::sendText(), CricketDrawParser::sendText(), MoreText::sendText(), PowerPoint1Parser::sendText(), StudentWritingCParser::sendText(), and RagTime5StyleManager::updateTextStyles().

## setDeltaLetterSpacing()

void MWAWFont::setDeltaLetterSpacing | ( | float | d,
|  | librevenge::RVNGUnit | unit = librevenge::RVNG_POINT )

inline

sets the letter spacing ( delta value in point )

Referenced by RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), LightWayTxtText::readDocumentHF(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MsWks4Text::readFont(), MsWrdTextStyles::readFont(), ScriptWriterParser::readFont(), WriteNowText::readFont(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), RagTimeText::readFonts(), StyleParser::readFormats(), ScriptWriterParser::readHFStyle(), MacDrawParser::readObject(), ClarisWksDbaseContent::readRecordSSV1(), RagTimeSpreadsheet::readResource(), RagTimeSpreadsheet::readSpreadsheetCellV2(), ReadySetGoStyleManager::readStyle(), Canvas5StyleManager::readStyleEnd(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), FullWrtText::send(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), SpringBoardParser::sendTextShape(), and RagTime5StyleManager::updateTextStyles().

## setFlags()

void MWAWFont::setFlags | ( | uint32_t | fl | ) |

inline

sets the font attributes bold, ...

Referenced by BeagleWksTextInternal::Font::getFont(), insert(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), MoreText::readCustomListLevel(), JazzSSParser::readDocument(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), ActaText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MouseWrtParser::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), ScriptWriterParser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), PowerPoint1Parser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), BeagleWksDBParser::readFormat(), StyleParser::readFormats(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ScriptWriterParser::readHFStyle(), MacWrtParser::readInformations(), MacDraftParser::readLabel(), MacDraftParser::readObject(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), MsWksTable::readTable(), MacDraft5Parser::readText(), MacWrtParser::readText(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), PowerPoint7Text::readTextZone(), WingzGraph::readTextZone(), FullWrtText::send(), Canvas5Graph::sendDimension9(), EDocParser::sendIndex(), JazzWriterParser::sendPLC(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), CorelPainterParser::sendText(), MoreText::sendText(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), StudentWritingCParser::sendText(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

## setFont()

void MWAWFont::setFont | ( | int | newId | ) |

inline

sets the font id and resets size to the previous size for this font

Referenced by MsWksGraph::readFont(), BeagleWksDRParser::sendText(), MacDrawProParser::sendText(), and SuperPaintParser::sendText().

## setId()

void MWAWFont::setId | ( | int | newId | ) |

inline

sets the font id

Referenced by BeagleWksText::getFont(), MarinerWrtTextInternal::Zone::getFont(), MsWrdTextStyles::getFont(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), MoreText::readCustomListLevel(), JazzSSParser::readDocument(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), ActaText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MouseWrtParser::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWrd1Parser::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), ScriptWriterParser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), PowerPoint1Parser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), StyleParser::readFormats(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ScriptWriterParser::readHFStyle(), MacWrtParser::readInformations(), MacDraftParser::readLabel(), FullWrtText::readLineHeader(), MacDraftParser::readObject(), MacDrawParser::readObject(), MoreText::readOutline(), PowerPoint3Parser::readParagraph(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), MarinerWrtText::readRulers(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), MacDraft5Parser::readText(), MacWrtParser::readText(), MsWks4Text::readText(), PowerPoint7Text::readTextZone(), WingzGraph::readTextZone(), MsWksDBParser::readUnknownV2(), FullWrtText::send(), FullWrtText::send(), Canvas5Graph::sendDimension9(), FullWrtText::sendHiddenItem(), JazzWriterParser::sendPLC(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), CorelPainterParser::sendText(), MoreText::sendText(), PowerPoint1Parser::sendText(), PowerPoint7Text::sendText(), ReadySetGoGraph::sendText(), StudentWritingCParser::sendText(), MWAWGraphicListener::setFont(), MWAWPresentationListener::setFont(), MWAWSpreadsheetListener::setFont(), MWAWTextListener::setFont(), MsWrdTextStyles::setProperty(), and RagTime5StyleManager::updateTextStyles().

## setLanguage()

void MWAWFont::setLanguage | ( | std::string const & | lang | ) |

inline

set the language ( in the for en_US, en_GB, en, ...)

Referenced by MacWrtProStructures::readFont(), RagTimeText::readFonts(), and RagTime5StyleManager::updateTextStyles().

## setOverline()

void MWAWFont::setOverline | ( | Line const & | line | ) |

inline

sets the overline

Referenced by MarinerWrtText::readFonts().

## setOverlineColor()

void MWAWFont::setOverlineColor | ( | MWAWColor const & | color | ) |

inline

sets the overline color

Referenced by LightWayTxtText::readFont2().

## setOverlineStyle()

void MWAWFont::setOverlineStyle | ( | Line::Style | style = Line::None,
|  | bool | doReset = true )

inline

sets the overline style ( by default, we also reset the style)

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), LightWayTxtText::readFont2(), NisusWrtText::readFonts(), and FullWrtText::send().

## setOverlineType()

void MWAWFont::setOverlineType | ( | Line::Type | type = Line::Single | ) |

inline

sets the overline type

Referenced by LightWayTxtText::readFont2().

## setOverlineWidth()

void MWAWFont::setOverlineWidth | ( | float | w | ) |

inline

sets the overline width

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), and LightWayTxtText::readFont2().

## setOverlineWordFlag()

void MWAWFont::setOverlineWordFlag | ( | bool | wordFlag = false | ) |

inline

sets the overline word flag

## setSize()

void MWAWFont::setSize | ( | float | sz,
|  | bool | isRelative = false )

inline

sets the font size

Referenced by MsWrdTextStyles::getFont(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), MoreText::readCustomListLevel(), JazzSSParser::readDocument(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), ActaText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MouseWrtParser::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), ScriptWriterParser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), PowerPoint1Parser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), StyleParser::readFormats(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ScriptWriterParser::readHFStyle(), MacWrtParser::readInformations(), MacDraftParser::readLabel(), FullWrtText::readLineHeader(), MacDraftParser::readObject(), MacDrawParser::readObject(), MoreText::readOutline(), PowerPoint3Parser::readParagraph(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), MarinerWrtText::readRulers(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), MacDraft5Parser::readText(), MacWrtParser::readText(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), PowerPoint7Text::readTextZone(), WingzGraph::readTextZone(), MsWksDBParser::readUnknownV2(), FullWrtText::send(), FullWrtText::send(), Canvas5Graph::sendDimension9(), FullWrtText::sendHiddenItem(), JazzWriterParser::sendPLC(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), CorelPainterParser::sendText(), MoreText::sendText(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), StudentWritingCParser::sendText(), MWAWGraphicListener::setFont(), MWAWPresentationListener::setFont(), MWAWSpreadsheetListener::setFont(), MWAWTextListener::setFont(), MsWrdTextStyles::setProperty(), and RagTime5StyleManager::updateTextStyles().

## setStrikeOut()

void MWAWFont::setStrikeOut | ( | Line const & | line | ) |

inline

sets the strikeoutline

## setStrikeOutColor()

void MWAWFont::setStrikeOutColor | ( | MWAWColor const & | color | ) |

inline

sets the strikeoutline color

Referenced by LightWayTxtText::readFont2().

## setStrikeOutStyle()

void MWAWFont::setStrikeOutStyle | ( | Line::Style | style = Line::None,
|  | bool | doReset = true )

inline

sets the strikeoutline style ( by default, we also reset the style)

Referenced by Canvas5StyleManager::readCharStyle(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), MsWrdTextStyles::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), StyleParser::readFormats(), ClarisWksDbaseContent::readRecordSSV1(), ReadySetGoStyleManager::readStyle(), GreatWksSSParser::readStyles(), FullWrtText::send(), Canvas5Graph::sendDimension9(), GreatWksText::sendSimpleTextbox(), and RagTime5StyleManager::updateTextStyles().

## setStrikeOutType()

void MWAWFont::setStrikeOutType | ( | Line::Type | type = Line::Single | ) |

inline

sets the strikeoutline type

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), and LightWayTxtText::readFont2().

## setStrikeOutWidth()

void MWAWFont::setStrikeOutWidth | ( | float | w | ) |

inline

sets the strikeoutline width

Referenced by LightWayTxtText::readFont2().

## setStrikeOutWordFlag()

void MWAWFont::setStrikeOutWordFlag | ( | bool | wordFlag = false | ) |

inline

sets the strikeoutline word flag

## setUnderline()

void MWAWFont::setUnderline | ( | Line const & | line | ) |

inline

sets the underline

Referenced by MarinerWrtText::readFonts(), and RagTime5StyleManager::updateTextStyles().

## setUnderlineColor()

void MWAWFont::setUnderlineColor | ( | MWAWColor const & | color | ) |

inline

sets the underline color

Referenced by WriteNowText::readFont(), and LightWayTxtText::readFont2().

## setUnderlineStyle()

void MWAWFont::setUnderlineStyle | ( | Line::Style | style = Line::None,
|  | bool | doReset = true )

inline

sets the underline style ( by default, we also reset the style)

Referenced by BeagleWksTextInternal::Font::getFont(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), Canvas5StyleManager::readCharStyle(), MoreText::readCustomListLevel(), JazzSSParser::readDocument(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), ActaText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MouseWrtParser::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), MsWrdTextStyles::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), ScriptWriterParser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), LightWayTxtText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), PowerPoint1Parser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), BeagleWksDBParser::readFormat(), StyleParser::readFormats(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ScriptWriterParser::readHFStyle(), MacWrtParser::readInformations(), MacDraftParser::readLabel(), MacDraftParser::readObject(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), ReadySetGoStyleManager::readStyle(), DocMkrText::readStyles(), GreatWksSSParser::readStyles(), MaxWrtParser::readStyles(), TeachTxtParser::readStyles(), StyleParser::readStyleTable(), MsWksTable::readTable(), MacDraft5Parser::readText(), MacWrtParser::readText(), PowerPoint7Text::readTextZone(), WingzGraph::readTextZone(), FullWrtText::send(), Canvas5Graph::sendDimension9(), JazzWriterParser::sendPLC(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), CanvasGraph::sendText(), MoreText::sendText(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), StudentWritingCParser::sendText(), and RagTime5StyleManager::updateTextStyles().

## setUnderlineType()

void MWAWFont::setUnderlineType | ( | Line::Type | type = Line::Single | ) |

inline

sets the underline type

Referenced by ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), MsWrdTextStyles::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), MarinerWrtText::readFonts(), GreatWksSSParser::readStyles(), FullWrtText::send(), and GreatWksText::sendSimpleTextbox().

## setUnderlineWidth()

void MWAWFont::setUnderlineWidth | ( | float | w | ) |

inline

sets the underline width

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), and LightWayTxtText::readFont2().

## setUnderlineWordFlag()

void MWAWFont::setUnderlineWordFlag | ( | bool | wordFlag = false | ) |

inline

sets the underline word flag

Referenced by MsWrdTextStyles::readFont(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), and FullWrtText::send().

## setWidthStreching()

void MWAWFont::setWidthStreching | ( | float | scale = 1.0 | ) |

inline

sets the text width streching

Referenced by Canvas5StyleManager::readCharStyle(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), ScoopParser::readFont(), ReadySetGoStyleManager::readStyle(), and RagTime5StyleManager::updateTextStyles().

## size()

float MWAWFont::size | ( |  | ) | const

inline

returns the font size

Referenced by addTo(), addToListLevel(), cmp(), getDebugString(), MsWrdTextStyles::getFont(), FullWrtTextInternal::LineHeader::operator<<, MsWrdStruct::Font::operator<<, Canvas5StyleManager::readCharStyle(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), ZWrtText::readSectionFonts(), FullWrtText::send(), FullWrtText::send(), MarinerWrtGraph::sendRule(), MoreText::sendText(), MWAWGraphicListener::setFont(), MWAWPresentationListener::setFont(), MWAWSpreadsheetListener::setFont(), MWAWTextListener::setFont(), and MsWrdTextStyles::setProperty().

## widthStreching()

float MWAWFont::widthStreching | ( |  | ) | const

inline

returns the text width streching

## Member Data Documentation

## m_backgroundColor

MWAWVariable<MWAWColor> MWAWFont::m_backgroundColor

protected

font background color

Referenced by addTo(), cmp(), getBackgroundColor(), getDebugString(), insert(), MWAWFont(), resetColor(), and setBackgroundColor().

## m_color

MWAWVariable<MWAWColor> MWAWFont::m_color

protected

font color

Referenced by addTo(), addToListLevel(), cmp(), getColor(), getDebugString(), hasColor(), insert(), MWAWFont(), resetColor(), and setColor().

## m_deltaSpacing

MWAWVariable<float> MWAWFont::m_deltaSpacing

protected

expand(> 0), condensed(< 0) depl

Referenced by addTo(), cmp(), deltaLetterSpacing(), getDebugString(), insert(), MWAWFont(), and setDeltaLetterSpacing().

## m_deltaSpacingUnit

MWAWVariable<librevenge::RVNGUnit> MWAWFont::m_deltaSpacingUnit

protected

the delta spacing unit

Referenced by addTo(), cmp(), deltaLetterSpacingUnit(), getDebugString(), insert(), MWAWFont(), and setDeltaLetterSpacing().

## m_extra

std::string MWAWFont::m_extra

extra data

Referenced by getDebugString(), insert(), LightWayTxtTextInternal::Font::merge(), MWAWFont(), ActaText::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacDocParser::readFont(), MacWrtProStructures::readFont(), MouseWrtParser::readFont(), MsWksGraph::readFont(), PowerPoint3Parser::readFont(), ScoopParser::readFont(), ScriptWriterParser::readFont(), SpringBoardParser::readFont(), WriteNowText::readFont(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), MsWksDBParser::readForms(), RagTimeSpreadsheet::readResource(), DocMkrText::readStyles(), TeachTxtParser::readStyles(), and StyleParser::readStyleTable().

## m_flags

MWAWVariable<uint32_t> MWAWFont::m_flags

protected

font attributes

Referenced by addTo(), flags(), getDebugString(), insert(), MWAWFont(), and setFlags().

## m_id

MWAWVariable<int> MWAWFont::m_id

protected

font identificator

Referenced by addToListLevel(), id(), insert(), isSet(), MWAWFont(), setFont(), and setId().

## m_language

MWAWVariable<std::string> MWAWFont::m_language

protected

the language if set

Referenced by addTo(), cmp(), getDebugString(), language(), MWAWFont(), and setLanguage().

## m_overline

MWAWVariable<Line> MWAWFont::m_overline

protected

overline attributes

Referenced by addTo(), cmp(), getDebugString(), getOverline(), hasDecorationLines(), insert(), MWAWFont(), resetDecorationLines(), setOverline(), setOverlineColor(), setOverlineStyle(), setOverlineType(), setOverlineWidth(), and setOverlineWordFlag().

## m_scriptPosition

MWAWVariable<Script> MWAWFont::m_scriptPosition

protected

the sub/super script definition

Referenced by addTo(), getDebugString(), insert(), MWAWFont(), script(), and set().

## m_size

MWAWVariable<float> MWAWFont::m_size

protected

font size

Referenced by addToListLevel(), insert(), MWAWFont(), setSize(), and size().

## m_sizeIsRelative

MWAWVariable<bool> MWAWFont::m_sizeIsRelative

protected

true if the size is percent

Referenced by addTo(), addToListLevel(), cmp(), getDebugString(), insert(), MWAWFont(), and setSize().

## m_strikeoutline

MWAWVariable<Line> MWAWFont::m_strikeoutline

protected

overline attributes

Referenced by addTo(), cmp(), getDebugString(), getStrikeOut(), hasDecorationLines(), insert(), MWAWFont(), resetDecorationLines(), setStrikeOut(), setStrikeOutColor(), setStrikeOutStyle(), setStrikeOutType(), setStrikeOutWidth(), and setStrikeOutWordFlag().

## m_underline

MWAWVariable<Line> MWAWFont::m_underline

protected

underline attributes

Referenced by addTo(), cmp(), getDebugString(), getUnderline(), hasDecorationLines(), insert(), MWAWFont(), resetDecorationLines(), setUnderline(), setUnderlineColor(), setUnderlineStyle(), setUnderlineType(), setUnderlineWidth(), and setUnderlineWordFlag().

## m_widthStreching

MWAWVariable<float> MWAWFont::m_widthStreching

protected

the width streching in percent

Referenced by addTo(), cmp(), getDebugString(), insert(), MWAWFont(), setWidthStreching(), and widthStreching().

The documentation for this class was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx